/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ReservationAdminConfigureBookingPeriodClient.java 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.api.tools;

import com.beust.jcommander.Parameter;
import org.ow2.sirocco.cloudmanager.api.spec.UserAPI;

public class ReservationAdminConfigureBookingPeriodClient extends Client {
    @Parameter(names = "-bookingPeriod", description = "booking period expressed in time unit.", required = true)
    private String bookingPeriod;

    public ReservationAdminConfigureBookingPeriodClient() {
        this.commandName = "sirocco-admin-reservation-configure";
    }

    @Override
    protected Object getOptions() {
        return this;
    }

    @Override
    protected void operation(final UserAPI proxy) throws Exception {
        Integer bookingPeriodExpressedInTimeUnit_Integer = new Integer(this.bookingPeriod);
        proxy.configureBookingPeriod(bookingPeriodExpressedInTimeUnit_Integer);
        System.out.println("configureBookingPeriod done.");
    }

    public static void main(final String[] args) {
        new ReservationAdminConfigureBookingPeriodClient().run(args);
    }
}
