/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ReservationListClient.java 112 2011-07-06 15:33:11Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.api.tools;

import java.util.Collection;
import java.util.Iterator;

import org.ow2.sirocco.cloudmanager.api.spec.ReservationInfo;
import org.ow2.sirocco.cloudmanager.api.spec.ReservationInfos;
import org.ow2.sirocco.cloudmanager.api.spec.UserAPI;

public class ReservationListClient extends Client {
    // @Parameter(names = "-login", description = "username", required = true)
    // private String username;
    //
    // @Parameter(names = "-userpassword", description = "user password",
    // required = true)
    // private String userPassword;
    //
    // @Parameter(names = "-firstname", description = "first name", required =
    // true)
    // private String firstName;
    //
    // @Parameter(names = "-lastname", description = "last name", required =
    // true)
    // private String lastName;
    //
    // @Parameter(names = "-email", description = "email address", required =
    // true)
    // private String email;

    public ReservationListClient() {
        this.commandName = "sirocco-reservation-list";
    }

    @Override
    protected Object getOptions() {
        return this;
    }

    @Override
    protected void operation(final UserAPI proxy) throws Exception {
        ReservationInfos reservationInfos = proxy.listResourcesReservations();
        String formattage = "%-14s %-7s %-12s %-30s %-30s %-15s %-10s\n";
        System.out.format(formattage, "Reservation Id", "State", "Project Id", "Start Time", "End Time", "Hypervisor type",
            "Location");

        if (reservationInfos != null && reservationInfos.getReservationInfos() != null) {
            Collection<ReservationInfo> reservationInfo_collection = reservationInfos.getReservationInfos();
            Iterator<ReservationInfo> reservationInfo_temp_ITERATOR = reservationInfo_collection.iterator();
            while (reservationInfo_temp_ITERATOR.hasNext()) {
                ReservationInfo reservationInfo_temp = reservationInfo_temp_ITERATOR.next();
                System.out.format(formattage, reservationInfo_temp.getId(),
                    reservationInfo_temp.getResourcesReservationState(), reservationInfo_temp.getProjectId(),
                    reservationInfo_temp.getStartTime().getTime(), reservationInfo_temp.getEndTime().getTime(),
                    reservationInfo_temp.getHypervisorType(), reservationInfo_temp.getLocation());

                // reservationInfo_temp.getReservedNumberOfCPUCore();
                // reservationInfo_temp.getReservedMemorySizeInMB();
                // reservationInfo_temp.getReservedStorageSizeInMB();
                // reservationInfo_temp.getFreeNumberOfCpuCores();
                // reservationInfo_temp.getFreeMemorySizeInMB();
                // reservationInfo_temp.getFreeStorageSizeInMB();
            }
        }
    }

    public static void main(final String[] args) {
        new ReservationListClient().run(args);
    }

}
